/*
 *
 *
 *    dir.h
 *
 *    Header file for directory-handling functions.
 *
 *    ----------------- L I C E N S E    S T A T E M E N T --------------------
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *    ------------------------ E N D    L I C E N S E -------------------------
 *
 *
 */


#ifndef __DIR_H
	#define __DIR_H

	#include <string>
	#include <sys/types.h>

	#include "cdir.h"

	inline int mkdir_p (const std::string &d, mode_t dir_mode) {
		return mkdir_p(d.c_str(), dir_mode);
	}

	inline int chdir (const std::string &d) {
		return chdir (d.c_str());
	}

#endif /* __DIR_H */
